%define oname django
%define Oname Django
%define name python-%oname
%define version 1.0
%define rel 1

Summary: A high-level Python Web framework
Name: %{name}
Version: %{version}
Release: %mkrel %rel

Source0: http://media.djangoproject.com/releases/%{version}/Django-%{version}.tar.gz
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Url: http://www.djangoproject.com
BuildRequires: python-devel
BuildRequires: python-setuptools

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%prep
%setup -q -n %Oname-%version
perl -pi -e 's/^(ez_setup.use_setuptools)/#$1/' setup.py

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE  README docs/*
%_bindir/*
%py_puresitedir/%{oname}
# used by setuptools
%define python_ver  %(echo %pyver|sed s/\\\\\.//)
%if %{python_ver} <= 25
%py_puresitedir/%{Oname}-*.egg-info
%endif



%changelog
* Thu Sep 04 2008 Michael Scherer <misc@mandriva.org> 1.0-1mdv2009.0
+ Revision: 280390
- update to new version 1.0

* Wed Sep 03 2008 Michael Scherer <misc@mandriva.org> 0.96.3-1mdv2009.0
+ Revision: 279588
- update to 0.96.3
- fix end of line spacing

* Tue May 20 2008 Michael Scherer <misc@mandriva.org> 0.96.2-1mdv2009.0
+ Revision: 209329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Michael Scherer <misc@mandriva.org> 0.96.1-1mdv2008.1
+ Revision: 107003
- update to latest version
- really fix the backporting ( in fact, unbreak the build on cooker )
- fix backporting on 2007.0

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.96-1mdv2008.0
+ Revision: 19918
- update to 0.96


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.95-2mdv2007.0
+ Revision: 90841
- Rebuild

  + Michael Scherer <misc@mandriva.org>
    - Import python-django

* Tue Aug 01 2006 Michael Scherer <misc@mandriva.org> 0.95-1mdv2007.0
- New version 0.95

* Fri Jan 13 2006 Michael Scherer <misc@mandriva.org> 0.91-1mdk
- New release 0.91

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.90-1mdk
- initial package

